import request from '@/utils/request'

// 查询政府网站列表
export function listZczccg(query) {
  return request({
    url: '/tcZz/networkSecurity/zczccg/list',
    method: 'get',
    params: query
  })
}

// 查询政府网站详细
export function getZczccg(id) {
  return request({
    url: '/tcZz/networkSecurity/zczccg/' + id,
    method: 'get'
  })
}

// 新增政府网站
export function addZczccg(data) {
  return request({
    url: '/tcZz/networkSecurity/zczccg',
    method: 'post',
    data: data
  })
}

// 修改政府网站
export function updateZczccg(data) {
  return request({
    url: '/tcZz/networkSecurity/zczccg',
    method: 'put',
    data: data
  })
}

// 删除政府网站
export function delZczccg(id) {
  return request({
    url: '/tcZz/networkSecurity/zczccg/' + id,
    method: 'delete'
  })
}
//批量启用禁用
export function isStatusZczccg(params) {
  return request({
    url: '/tcZz/networkSecurity/zczccg/isStatus',
    method: 'get',
    params
  })
}
//通用导入信息
export function importZczccg(data) {
  return request({
    url: '/tcZz/networkSecurity/zczccg/common/importExcel',
    method: 'post',
    data
  })
}
